package com.ruoyi.system.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 【请填写功能名称】对象 t_search_location_info
 * 
 * @author ruoyi
 * @date 2023-09-16
 */
public class TSearchLocationInfo extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 查询者id */
    @Excel(name = "查询者id")
    private Long userId;

    /** 查询内容 */
    @Excel(name = "查询内容")
    private String searchValue;

    /** 查询到的设备id */
    @Excel(name = "查询到的设备id")
    private Long deviceId;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setUserId(Long userId) 
    {
        this.userId = userId;
    }

    public Long getUserId() 
    {
        return userId;
    }
    public void setSearchValue(String searchValue) 
    {
        this.searchValue = searchValue;
    }

    public String getSearchValue() 
    {
        return searchValue;
    }
    public void setDeviceId(Long deviceId) 
    {
        this.deviceId = deviceId;
    }

    public Long getDeviceId() 
    {
        return deviceId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("userId", getUserId())
            .append("searchValue", getSearchValue())
            .append("deviceId", getDeviceId())
            .append("createTime", getCreateTime())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
